## com.arsdigita.cms.docmgr
Class DocumentLoader

    java.lang.Object
      com.arsdigita.util.parameter.AbstractParameterContext
          com.arsdigita.runtime.AbstractScript
              com.arsdigita.loader.PackageLoader
                  com.arsdigita.cms.contenttypes.AbstractContentTypeLoader
                      com.arsdigita.cms.docmgr.DocumentLoader

All Implemented Interfaces:
  com.arsdigita.util.parameter.ParameterContext, com.arsdigita.runtime.Script

public class DocumentLoader
extends com.arsdigita.cms.contenttypes.AbstractContentTypeLoader

Field Summary

Fields inherited from class com.arsdigita.cms.contenttypes.AbstractContentTypeLoader
`versionId`

Fields inherited from class com.arsdigita.loader.PackageLoader
`s_log`

Constructor Summary
`DocumentLoader()`

Method Summary
`String[]` `getTypes()`

Methods inherited from class com.arsdigita.cms.contenttypes.AbstractContentTypeLoader
`getContentSections, prepareSection, run, setDefaultTemplate`

Methods inherited from class com.arsdigita.loader.PackageLoader
`exists, exists, exists, load, loader, requires, requires, requires`

Methods inherited from class com.arsdigita.util.parameter.AbstractParameterContext
`get, get, getParameters, load, load, loadInfo, register, save, set, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.util.parameter.ParameterContext
`get, get, getParameters, load, save, set, validate`

Constructor Detail

### DocumentLoader

    public DocumentLoader()

Method Detail

### getTypes

    public String[] getTypes()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC